package it.liceocuneo.graph;

import it.liceocuneo.math.Funzione;

import java.awt.Color;
import java.awt.Graphics;
import java.io.Serializable;

public class JParabola extends JOxy implements Funzione, Serializable {

	private double a = 1.0, b = 0.0, c = 0.0;

	@Override
	public double f(double x) {
		return a * x * x + b * x + c;
	}

	@Override
	protected void paintComponent(Graphics g) {
		super.paintComponent(g);

		double x1 = getMinX();
		double x2 = getMaxX();
		double dx = (x2 - x1) / getWidth();

		g.setColor(Color.ORANGE);
		for (double x = x1; x < x2; x += dx)
			g.drawLine(xg(x), yg(f(x)), xg(x + dx), yg(f(x + dx)));
	}

	public double getA() {
		return a;
	}

	public void setA(double a) {
		this.a = a;
	}

	public double getB() {
		return b;
	}

	public void setB(double b) {
		this.b = b;
	}

	public double getC() {
		return c;
	}

	public void setC(double c) {
		this.c = c;
	}

}
